Package fr.gouv.vitam.common.database.builder.request.single

# Class Insert

java.lang.Object
fr.gouv.vitam.common.database.builder.request.AbstractRequest
fr.gouv.vitam.common.database.builder.request.single.RequestSingle
fr.gouv.vitam.common.database.builder.request.single.Insert

public class Insert extends RequestSingle
Insert: { $query: query, $data : data , $filter: filter} // No query in

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.fasterxml.jackson.databind.node.ArrayNode`
  `data`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.single.RequestSingle

  `query`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `filter, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Insert()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Insert`
  `addData(com.fasterxml.jackson.databind.node.ObjectNode... data)`
  Note that if previous attributes have the same name, they will be replaced.
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getData()`
  `final com.fasterxml.jackson.databind.node.ArrayNode`
  `getDatas()`
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalInsert()`
  `final Insert`
  `parseData(String data)`
  `final Insert`
  `reset()`
  `final Insert`
  `resetData()`
  `final Insert`
  `setData(com.fasterxml.jackson.databind.JsonNode dataContent)`
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.single.RequestSingle

  `getActions, getAllProjection, getFinal, getNbQueries, getProjection, getQueries, getQuery, getRoots, resetQuery, setQuery`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `addHintFilter, addHintFilter, getFilter, parseFilter, resetFilter, resetHintFilter, selectAddOrderByAscFilter, selectAddOrderByDescFilter, selectAddOrderByFilter, selectAddProjection, selectAddUnusedProjection, selectAddUsedProjection, selectGetAllProjection, selectGetFinalSelect, selectGetProjection, selectParseLimitFilter, selectParseOrderByFilter, selectParseProjection, selectReset, selectResetLimitFilter, selectResetOrderByFilter, selectResetUsedProjection, selectSetFilter, selectSetLimitFilter, selectSetLimitFilter, selectSetProjection, selectSetScrollFilter, setFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### data

    protected com.fasterxml.jackson.databind.node.ArrayNode data

- ## Constructor Details

  - ### Insert

    public Insert()

- ## Method Details

  - ### resetData

    public final Insert resetData()
    Returns:
      this Insert

  - ### reset

    public final Insert reset()
    Overrides:
      `reset` in class `RequestSingle`
    Returns:
      this Insert

  - ### addData

    public final Insert addData(com.fasterxml.jackson.databind.node.ObjectNode... data)
    Note that if previous attributes have the same name, they will be replaced.
    Parameters:
      `data` - list of json data
    Returns:
      this Insert

  - ### setData

    public final Insert setData(com.fasterxml.jackson.databind.JsonNode dataContent) throws InvalidParseOperationException
    Parameters:
      `dataContent` - json data
    Returns:
      this Insert
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### parseData

    public final Insert parseData(String data) throws InvalidParseOperationException
    Parameters:
      `data` - string data
    Returns:
      this Insert
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### getFinalInsert

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalInsert()
    Returns:
      the Final Insert containing all 3 parts: query filter and data

  - ### getData

    public final com.fasterxml.jackson.databind.node.ObjectNode getData()
    Overrides:
      `getData` in class `RequestSingle`
    Returns:
      the data

  - ### getDatas

    public final com.fasterxml.jackson.databind.node.ArrayNode getDatas()
    Overrides:
      `getDatas` in class `RequestSingle`
    Returns:
      the datas

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RequestSingle`